searchNodes=[{"doc":"Sorts alias definitions alphabetically.The sorting does not happen globally. Instead each &quot;alias block&quot; is sorted separately. An &quot;alias block&quot; is a set of alias expressions that are not separated by at least one empty newline or other non-alias expressions.Only the order of lines is modified by this formatter. Neither the overall number of lines nor the content of a single line will change. This means that multi-aliases are not internally sorted i.e. Hello.{World, Earth} does not become Hello.{Earth, World}.Examplesiex&gt; code_snippet = &quot;&quot;&quot; ...&gt; alias Eunomo.Z.{L, I} ...&gt; alias Eunomo.Z ...&gt; alias Eunomo.{ ...&gt; L, ...&gt; B, ...&gt; # test ...&gt; } ...&gt; alias Eunomo.C ...&gt; \\nalias A ...&gt; &quot;&quot;&quot; ...&gt; Eunomo.format_string(code_snippet, [Eunomo.Formatter.AlphabeticalAliasSorter]) &quot;&quot;&quot; alias Eunomo.C alias Eunomo.Z alias Eunomo.Z.{L, I} alias Eunomo.{ L, B, # test } \\nalias A &quot;&quot;&quot;","ref":"Eunomo.Formatter.AlphabeticalAliasSorter.html","title":"Eunomo.Formatter.AlphabeticalAliasSorter","type":"module"},{"doc":"Sorts import definitions alphabetically.The sorting does not happen globally. Instead each &quot;import block&quot; is sorted separately. An &quot;import block&quot; is a set of import expressions that are not separated by at least one empty newline or other non-import expressions.Only the order of lines is modified by this formatter. Neither the overall number of lines nor the content of a single line will change.Examplesiex&gt; code_snippet = &quot;&quot;&quot; ...&gt; import Eunomo.Z.{L, I} ...&gt; import Eunomo.Z, only: [hello_world: 0] ...&gt; import Eunomo.{ ...&gt; L, ...&gt; B, ...&gt; # test ...&gt; } ...&gt; import Eunomo.C ...&gt; import B, expect: [callback: 1] ...&gt; \\nimport A ...&gt; &quot;&quot;&quot; ...&gt; Eunomo.format_string(code_snippet, [Eunomo.Formatter.AlphabeticalImportSorter]) &quot;&quot;&quot; import B, expect: [callback: 1] import Eunomo.C import Eunomo.Z, only: [hello_world: 0] import Eunomo.Z.{L, I} import Eunomo.{ L, B, # test } \\nimport A &quot;&quot;&quot;","ref":"Eunomo.Formatter.AlphabeticalImportSorter.html","title":"Eunomo.Formatter.AlphabeticalImportSorter","type":"module"},{"doc":"Sorts require definitions alphabetically.The sorting does not happen globally. Instead each &quot;require block&quot; is sorted separately. An &quot;require block&quot; is a set of require expressions that are not separated by at least one empty newline or other non-require expressions.Only the order of lines is modified by this formatter. Neither the overall number of lines nor the content of a single line will change. This means that multi-requires are not internally sorted i.e. Hello.{World, Earth} does not become Hello.{Earth, World}.Examplesiex&gt; code_snippet = &quot;&quot;&quot; ...&gt; require Eunomo.Z.{L, I} ...&gt; require Eunomo.Z ...&gt; require Eunomo.{ ...&gt; L, ...&gt; B, ...&gt; # test ...&gt; } ...&gt; require Eunomo.C ...&gt; \\nrequire A ...&gt; &quot;&quot;&quot; ...&gt; Eunomo.format_string(code_snippet, [Eunomo.Formatter.AlphabeticalRequireSorter]) &quot;&quot;&quot; require Eunomo.C require Eunomo.Z require Eunomo.Z.{L, I} require Eunomo.{ L, B, # test } \\nrequire A &quot;&quot;&quot;","ref":"Eunomo.Formatter.AlphabeticalRequireSorter.html","title":"Eunomo.Formatter.AlphabeticalRequireSorter","type":"module"},{"doc":"Formats the given files/patterns.The default Elixir formatter has the philosophy of not modifying non metadata parts of the AST. Eunomo does not adhere to this philosophy and is meant to be used as an extension to the default formatter. As of now the use case is to sort import and alias definitions alphabetically.To make usage more seamless it is recommended to define an alias in mix.exs. For example:def project do [ ..., aliases: aliases() ] end defp aliases do [ format!: [&quot;format&quot;, &quot;eunomo&quot;] ] endNow mix format! will run the standard Elixir formatter as well as Eunomo.OptionsEunomo will read the .eunomo.exs file in the current directory for formatter configuration.:inputs - List of paths and patterns to be formatted. By default the atom :read_from_dot_formatter is passed which will read all :inputs from .formatter.exs.:formatter - List of modules that implement the Eunomo.Formatter behaviour. They are applied sequentially to all matched files.Task-specific options--check-formatted - checks that the file is already formatted. This is useful in pre-commit hooks and CI scripts if you want to reject contributions with unformatted code.--dry-run - does not save files after formatting.","ref":"Mix.Tasks.Eunomo.html","title":"Mix.Tasks.Eunomo","type":"task"},{"doc":"Generates the default configuration for Eunomo.The .eunomo.exs file is created in the current working directory. If it already exists the task is aborted.# Used by &quot;mix eunomo&quot; [ inputs: :read_from_dot_formatter, formatter: [ Eunomo.Formatter.AlphabeticalAliasSorter, Eunomo.Formatter.AlphabeticalImportSorter, Eunomo.Formatter.AlphabeticalRequireSorter ] ]","ref":"Mix.Tasks.Eunomo.Gen.Config.html","title":"Mix.Tasks.Eunomo.Gen.Config","type":"task"}]